package net.quartzware;

import java.lang.*;
import java.util.*;

/**
  Event sent to RBListeners.
*/
public class RBEvent extends EventObject {
    ResBundle resBundle;
    Entry ent;
    int index;

    public RBEvent(ResBundle rb, Entry entry, int ndx) {
        super(rb);

        resBundle = rb;
        ent = entry;
        index = ndx;
    }

    public ResBundle getBundle() {
        return resBundle;
    }

    public Entry getEntry() {
        return ent;
    }

    public String getKey() {
        return ent.getKey();
    }

    public int getIndex() {
		return index;
	}
}